Curses::UI::Progressbar(3)

NAME
Curses::UI::Progressbar - Create and manipulate progressbar widgets

CLASS HIERARCHY
 Curses::UI::Widget
    |
    +----Curses::UI::Progressbar

SYNOPSIS
    use Curses::UI;
    my $cui = new Curses::UI;
    my $win = $cui->add('window_id', 'Window');

    my $progressbar = $win->add(
        'myprogressbar', 'Progressbar',
        -max       => 250,
        -pos       => 42,
    );

    $progressbar->draw;

DESCRIPTION
Curses::UI::Progressbar is a widget that can be used to provide some sort of progress information to the user of your program. The progressbar looks like this:

 +------------------------------------------+
 |||||||||---------- 14% ------------------ |
 +------------------------------------------+

See exampes/demo-Curses::UI::Progressbar in the distribution for a short demo.

STANDARD OPTIONS
-parent, -x, -y, -width, -height, -pad, -padleft, -padright, -padtop, -padbottom, -ipad, -ipadleft, -ipadright, -ipadtop, -ipadbottom, -title, -titlefullwidth, -titlereverse

For an explanation of these standard options, see Curses::UI::Widget.

WIDGET-SPECIFIC OPTIONS

•   -min < VALUE >

    This opion sets the minimum value for the progress bar. Default is 0.

•   -max < VALUE >

    This opion sets the maximum value for the progress bar.

•   -pos < VALUE >

    This option sets the startposition for the progress bar.

•   -nopercentage < BOOLEAN >

    This option controls if a percentage indicator should be drawn in the widget. The default for the BOOLEAN value is false, so a percentage incdicator will be drawn.

•   -showvalue < BOOLEAN >

    If this option is set to a true value, the current position value will be drawn in the widget.

•   -nocenterline < BOOLEAN >

    This option controls if a horizontal line should be drawn in the widget. The default for the BOOLEAN value is false, so a horizontal line will be drawn.

METHODS

•   new ( OPTIONS )

•   layout ( )

•   draw ( BOOLEAN )

•   intellidraw ( )

•   focus ( )

    These are standard methods. See Curses::UI::Widget for an explanation of these.

•   get ( )

    This method will return the current -pos value of the widget.

•   pos ( VALUE )

    This method will set the -pos value of the widget to SCALAR.

DEFAULT BINDINGS
Since a Progressbar is a non-interacting widget, it does not have any bindings.

SEE ALSO
Curses::UI, Curses::UI::Widget, Curses::UI::Common

AUTHOR
Copyright (c) 2001-2002 Maurice Makaay. All rights reserved.

Maintained by Marcus Thiesen (marcus@cpan.thiesenweb.de)

This package is free software and is provided "as is" without express or implied warranty. It may be used, redistributed and/or modified under the same terms as perl itself.